Get billing status
curl --request GET \
--url https://storeinspect.com/api/v1/billing/status \
--header 'Authorization: Bearer <token>'import requests
url = "https://storeinspect.com/api/v1/billing/status"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://storeinspect.com/api/v1/billing/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "billing_status",
"plan": {
"name": "<string>",
"status": "<string>",
"trial": {
"active": true,
"ends_at": "2023-11-07T05:31:56Z"
},
"cancel_at_period_end": true,
"current_period_end": "2023-11-07T05:31:56Z"
},
"api_access": {
"enabled": true
},
"contact_credits": {
"total": 1,
"used": 1,
"remaining": 1
},
"has_billing_account": true,
"actions": {
"can_create_subscription_link": true,
"can_manage_billing": true
},
"request_id": "<string>"
}Billing
Get billing status
Returns the current plan, subscription state, billing cadence, contact credits, and whether paid API access is active. Existing valid API keys can use this endpoint while billing is inactive.
GET
/
billing
/
status
Get billing status
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Current billing state for the API key owner.
Was this page helpful?
⌘I